/**
 * interestDetails.html js 
 */
 $(document).on('pageshow','#interestDetails',function(){
	 var money = getParam('money') || 0; //投资金额
	 var month = getParam('month') || 0; //投资期限
	 var rate = getParam('rate') || 0; //年化
	 if(money == 0 || month == 0 || rate == 0){ window.history.go(-1); return false; }
	 
	 var earnMtd = getParam('earnMtd'); //收益方式 0.收益复投(复利) 1.收益返还(单利) 3.赚乾包(原自选包 等额本息)
	 var jsonObject = earnMtd == 1 ? getDLInterestRecord(getFen(money), rate, month) : earnMtd == 0 ? getFLInterestRecord(getFen(money), rate, month) : getDEBXinterestRecord(getFen(money), rate, month);
	 
	 var tbody = $('#interestDetails #ap');
	 initTable(tbody);
	 
	 //console.log(jsonObject);
	 var lastMoney = getFen(money); //待收本金 -fen
	 for(var i=0;i<jsonObject.length;i++){  //遍历返回的json
		 var capital = pf(jsonObject[i]['capital']); //月收本金 -fen   
		 var interest = pf(jsonObject[i]['interest']); //月收利息 -fen
		 lastMoney -= capital; //待收本金累计 -fen
		 var total = pf(capital + interest); //月收总额 -fen
		 var str = '<tr><td>'+ (i+1) +'</td>' +
		 				'<td>' + tools.getYuan(capital).toFixed(2) + '</td>' +
		 				'<td>' + tools.getYuan(interest).toFixed(2) + '</td>' +
		 				'<td>' + tools.getYuan(total).toFixed(2) + '</td>' +
		 				'<td>' + tools.getYuan(lastMoney).toFixed(2) + '</td></tr>';
		 $(tbody).append(str);
	 }
	 jsonObject = [];
 });
	
 /**
 * 获取收益返还(单利) 的收益记录
 * @param money
 * @param rate
 * @param month
 * @returns {Array} -json
 */
function getDLInterestRecord(money, rate, month){ 
	//console.log('cus-dl');
	 var objJson = [];
	 var rateMonth = pf(rate*10.0/1000/12) *1.0; //月利率
	 var a = money*rateMonth;//每月应还金额
	 var a1=0.00;//已还金额
	 for(var i=1;i<=month;i++){
		 if (i == month) {// 最后一期
				var capital =  parseInt(money);
				var interest = parseInt(money * rateMonth * month - a1);
				objJson.push(jQuery.parseJSON('{"capital":' + capital.toFixed(2) + ',"interest":' + interest.toFixed(2) + '}'));
			} else {
				a1= parseInt(a1+a);
				var capital = 0.00;
				var interest = parseInt(a);
				objJson.push(jQuery.parseJSON('{"capital":' + capital.toFixed(2) + ',"interest":' + interest.toFixed(2) + '}'));
			}
	 }
	 return objJson;
 }
 
 /**
 * 获取收益复投(复利) 的收益记录
 * @param money
 * @param rate
 * @param month
 * @returns {Array} -json
 */
function getFLInterestRecord(money, rate, month){
	//console.log('cus-fl');
	var objJson = [];
	var mrate = pf(rate*10.0/1000/12) *1.0; //月利率
	for(var i=1;i<=month;i++){
		 if (i == month) {// 最后一期
			 	var a = parseInt(money * Math.pow((1 + mrate), month));
				var b = parseInt(a - money);
				var capital =  parseInt(money).toFixed(2);
				var interest = b.toFixed(2);
				objJson.push(jQuery.parseJSON('{"capital":' + capital + ',"interest":' + interest + '}'));
			} else {
				var capital = 0;
				var interest = 0;
				objJson.push(jQuery.parseJSON('{"capital":' + capital + ',"interest":' + interest + '}'));
			}
	 }
	 return objJson;
 }

/**
 * 获取等额本息收益记录 赚乾包(原自选包等额本息)
 * @param money
 * @param rate
 * @param month
 * @returns {Array} -json
 */
function getDEBXinterestRecord(money, rate, month){
	//console.log('178-debx');
	var objJson = [];
	var mrate = pf(rate*10.00/1000.00/12) *1.0; //月利率
	var a = parseInt((money* mrate * (Math.pow(1 + mrate, month))) / (Math.pow(1 + mrate,month) - 1));// 每月应收金额公式
	var b = 0; // 已还本金
	var c = 0; // 每月收回本金
	var d = 0; // 每月应得利息
	var d1 = 0; // 已得利息
	for(var i=1;i<=month;i++){
		if (i == month) {// 最后一期找平
			//最后一期本息： [ [借款本金总额*月利率*（1+月利率）^还款总月数]/[（1+月利率）^还款总月数－1] ]*n-前（n-1）期已收本息总额）
			//最后一期利息： 计算的应收款总额－借款本金总额=[ [借款本金总额*月利率*（1+月利率）^还款总月数]/[（1+月利率）^还款总月数－1] ]*n－借款本金总额－前（n-1）期利息汇总）   n为期数
			var c =  parseInt(money * mrate * Math.pow((1 + mrate), month) / (Math.pow((1 + mrate), month)  - 1) * month - (b + d1)) ;
			var d = parseInt((money * mrate * Math.pow((1 + mrate), month) / (Math.pow((1 + mrate), month ) -1 ) * month) - (money + d1));
			var capital =  parseInt(c - d);
			var interest = parseInt(d);
			objJson.push(jQuery.parseJSON('{"capital":' + capital + ',"interest":' + interest + '}'));
		} else {
			d = parseInt((money - b) * mrate);
			d1 = parseInt(d1 + d);
			c = parseInt(a - d);
			b = parseInt(b + c);
			var capital =  parseInt(c);
			var interest = parseInt(d);
			objJson.push(jQuery.parseJSON('{"capital":' + capital + ',"interest":' + interest + '}'));
		}
	}
	return objJson;
}

/**
 * 数值处理
 * @param val
 * @returns
 */
function pf(val){ //类型转换
	return parseFloat(val);
}
function getYuan(val){
	return val/100.00 * 1.00;
}
function getFen(val){
	return val*100.00;
}

function setShopInfo(shopId,num,shopAttrId){
	var aArray = {};
		 aArray[0]=shopId;
		 aArray[1]=num;
		 aArray[2]=shopAttrId;
		 getShopInfo(aArray);
}
var strShopInfo="";
function getShopInfo(obj){
	str="";
	 if($.trim(obj[0])!=0&&$.trim(obj[1])!=0&&$.trim(obj[2])!=0){
		 str+="?shopId="+$.trim(obj[0])+"&num="+$.trim(obj[1])+"&shopAttrId="+$.trim(obj[2]);
	 }
	strShopInfo=str;
}
/**
 * 初始化页面 清空之前的页面缓存
 * @param $o
 */
function initTable($o){
	var THEAD = '<tr> <th scope="col" width="15%">月份</th>' +
		'<th scope="col" width="20%">本金</th>' +
		'<th scope="col" width="20%">利息</th>' +
		'<th scope="col" width="25%">月收入总额</th>' +
		'<th scope="col" width="20%">待收本金</th></tr>';
	$o.html(THEAD);
}