var isInApp = true;
var system = "android";
var app_version=270;
var app_varsionName="2.7.0";
var isDebug=false;//是否是调试模式
/**
 * 获取基础地址
 * @returns {String}
 */
function getBasePath(){
	if(isInApp){
		//改IP 的时候，记得重新生成 All.js
		return "www.qb178.com/";//改IP 的时候，记得重新生成 All.js
	}else{
		return "192.168.1.161:8080/";
	}
}
//#define SYSTEM_VERSION_EQUAL_TO(v)                  ([[[UIDevice currentDevice] systemVersion] compare:v options:NSNumericSearch] == NSOrderedSame)
//#define SYSTEM_VERSION_GREATER_THAN(v)              ([[[UIDevice currentDevice] systemVersion] compare:v options:NSNumericSearch] == NSOrderedDescending)
//#define SYSTEM_VERSION_GREATER_THAN_OR_EQUAL_TO(v)  ([[[UIDevice currentDevice] systemVersion] compare:v options:NSNumericSearch] != NSOrderedAscending)
//#define SYSTEM_VERSION_LESS_THAN(v)                 ([[[UIDevice currentDevice] systemVersion] compare:v options:NSNumericSearch] == NSOrderedAscending)
//#define SYSTEM_VERSION_LESS_THAN_OR_EQUAL_TO(v)     ([[[UIDevice currentDevice] systemVersion] compare:v options:NSNumericSearch] != NSOrderedDescending)

function getBaseRootPath(){
	return "http://"+getBasePath();
}

//构造 图片路径
function initImgPath(p){
	if(p.indexOf("http")<0){
		return "http://"+getBasePath()+p;
	}
	return p;
}

//是否是本地测试 true是  false不是
function isLocalTest(){
	return false;
	//return getBasePath().indexOf("192.168.1.")>=0;
}
//保存缓存文件
function __saveLocalStorage(k,v,ver){
	if(v==null||v.length<1){
		__removeLocalStroage(k);
	}else{
		var obj={};
		obj.value=v;
		obj.version=ver;
		localStorage.setItem("file_in_local_"+k,JSON.stringify(obj));
	}
}
//加载缓存的文件
function __loadLocalStroage(k){
	//if(!isInApp)return null;
	var v=localStorage.getItem("file_in_local_"+k);
	if(v==null||v.length<1)return null;
	try {
		var obj = JSON.parse(v);
		if(obj.version<app_version){
			__removeLocalStroage(k);
			return null;
		}
		return obj;
	} catch (e) {
		__removeLocalStroage(k);
		return null;
	}
}
//删除缓存的文件
function __removeLocalStroage(k){
	localStorage.removeItem("file_in_local_"+k);
}
//设置/获取 小更新的版本号
function __updateVersion(upd_ver){
	if(upd_ver===undefined){
		var updNum = localStorage.getItem("file_in_local_updVer_"+app_varsionName);
		return updNum||0;
	}else{
		localStorage.setItem("file_in_local_updVer_"+app_varsionName,upd_ver);
	}
}

//加载所有JS文件
function loadJs(id, url){
	if (document.getElementById(id)){ return; }
	var __obj=__loadLocalStroage(id);
	if(__obj!=null){
		__addHeadFileByType(id,__obj.value,'js');
		return true;
	}
	var xmlHttp = getxmlHttp();
	// 采用同步加载
	xmlHttp.open("GET", url, false);
	// 发送同步请求，如果浏览器为Chrome或Opera，必须发布后才能运行，不然会报错
	xmlHttp.send(null);
	// 4代表数据发送完毕
	if (xmlHttp.readyState == 4){
		// 0为访问的本地，200到300代表访问服务器成功，304代表没做修改访问的是缓存
		if ((xmlHttp.status >= 200 && xmlHttp.status < 300) || xmlHttp.status == 0 || xmlHttp.status == 304){
			__addHeadFileByType(id,xmlHttp.responseText,'js');
			__saveLocalStorage(id,xmlHttp.responseText,app_version);
			return true;
		}else{
			return false;
		}
	}else{
		return false;
	}
}
function __addHeadFileByType(id,text,type){
	var myHead = document.getElementsByTagName("HEAD").item(0);
	var myHeadObj = null;
	if(type=='js'){
		myHeadObj = document.createElement("script");
		myHeadObj.language = "javascript";
		myHeadObj.type = "text/javascript";
		myHeadObj.id = id;
	}else if(type=='css'){
		myHeadObj = document.createElement("style");
		myHeadObj.type = "text/css";
		myHeadObj.id = id;
		var txt = id.indexOf("jquery.mobile") > -1 ? text.replace(/images\//g, cssBasePath + "images/") : text.replace(/..\/images\//g, imgBasePath);
		text = txt.replace(/(\d+(?:\.\d+)?)rem/img,function($0,$1){
			//alert(url+":"+$0+":"+$1);
			return $1*baseRemToPx+"px";//return $1*0.33+"rem";
		});
	}
	try{
		// IE8以及以下不支持这种方式，需要通过text属性来设置
		myHeadObj.appendChild(document.createTextNode(text));
	}catch(ex){
		myHeadObj.text = text;
	}
	myHead.appendChild(myHeadObj);
}
//基础的 px与 rem 对应的值
var baseRemToPx=9*document.documentElement.clientWidth/1242;
function loadCSS(id, url){
	if (document.getElementById(id)){ return; }
	var __obj=__loadLocalStroage(id);
	if(__obj!=null){
		__addHeadFileByType(id,__obj.value,'css');
		return true;
	}
	var xmlHttp = getxmlHttp();
	xmlHttp.open("GET", url, false);
	xmlHttp.send(null);
	// 4代表数据发送完毕
	if (xmlHttp.readyState == 4){
		// 0为访问的本地，200到300代表访问服务器成功，304代表没做修改访问的是缓存
		if ((xmlHttp.status >= 200 && xmlHttp.status < 300) || xmlHttp.status == 0 || xmlHttp.status == 304){
//			var txt = id.indexOf("jquery.mobile") > -1 ? xmlHttp.responseText.replace(/images\//g, cssBasePath + "images/") : xmlHttp.responseText.replace(/..\/images\//g, imgBasePath);
//			txt = txt.replace(/(\d+(?:\.\d+)?)rem/img,function($0,$1){
//				//alert(url+":"+$0+":"+$1);
//				return $1*baseRemToPx+"px";//return $1*0.33+"rem";
//			});
			__addHeadFileByType(id,xmlHttp.responseText,'css');
			__saveLocalStorage(id,xmlHttp.responseText,app_version);
			
			/*var myHead = document.getElementsByTagName("HEAD").item(0);
			var myCss = document.createElement("style");
			myCss.type = "text/css";
			myCss.id = id;
			var txt = id.indexOf("jquery.mobile") > -1 ? xmlHttp.responseText.replace(/images\//g, cssBasePath + "images/") : xmlHttp.responseText.replace(/..\/images\//g, imgBasePath);
			txt = txt.replace(/(\d+(?:\.\d+)?)rem/img,function($0,$1){
				//alert(url+":"+$0+":"+$1);
				return $1*baseRemToPx+"px";//return $1*0.33+"rem";
			});
			try{
				myCss.appendChild(document.createTextNode(txt));
			}catch(ex){
				myCss.text = txt;
			}
			myHead.appendChild(myCss);*/
			return true;
		}else{
			return false;
		}
	}else{
		return false;
	}
}
//返回文件内容
function loadTxt(url,func){
	var xmlHttp = getxmlHttp();
	// 采用同步加载
	xmlHttp.open("GET", url, true);
	// 发送同步请求，如果浏览器为Chrome或Opera，必须发布后才能运行，不然会报错
	xmlHttp.onreadystatechange=function(){
		if(xmlHttp.readyState===4){
			// 0为访问的本地，200到300代表访问服务器成功，304代表没做修改访问的是缓存
			if ((xmlHttp.status >= 200 && xmlHttp.status < 300) || xmlHttp.status == 0 || xmlHttp.status == 304){
				func(xmlHttp.responseText);
			}
		}
	}
	xmlHttp.send();
	/*xmlHttp.send(null);
	// 4代表数据发送完毕
	if (xmlHttp.readyState == 4){
		// 0为访问的本地，200到300代表访问服务器成功，304代表没做修改访问的是缓存
		if ((xmlHttp.status >= 200 && xmlHttp.status < 300) || xmlHttp.status == 0 || xmlHttp.status == 304){
			func(xmlHttp.responseText);
			return true;
		}else{
			return false;
		}
	}else{
		return false;
	}*/
}

function getxmlHttp(){
	var xmlHttp = null;
	if (window.ActiveXObject){// IE
		try{
			// IE6以及以后版本中可以使用 
			xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
		}catch(e){
			// IE5.5以及以后版本可以使用
			xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
		}
	}else if (window.XMLHttpRequest){// Firefox，Opera 8.0+，Safari，Chrome
		xmlHttp = new XMLHttpRequest();
	}
	return xmlHttp;
}

function getFileBasePath(){
	var js = document.scripts;
	js = js[js.length - 1].src;
	js = js.substring(0, js.lastIndexOf("/"));
	return js.substring(0, js.lastIndexOf("/") + 1)
}

var isIndReady = false;// 首页是否准备好了
var wwwBasePath = getFileBasePath();
var wwwBaseLogin = wwwBasePath + "login.html";
var wwwBaseValid = wwwBasePath + "mine/mineAuthentication.html";
var jsBasePath = wwwBasePath + "js/";// "file:///android_asset/www/js/";//file:///android_asset/www/edu/
var cssBasePath = wwwBasePath + "css/";
var imgBasePath = wwwBasePath + "images/";
loadCSS("jquery.mobile-1.4.5.min.css", cssBasePath + "jquery.mobile-1.4.5.min.css");
loadCSS("public.css", cssBasePath + "public.css");
loadJs("jQuery-1.11.2.min.js", jsBasePath + "jQuery-1.11.2.min.js");
loadJs("jquery.mobile-1.4.5.min.js", jsBasePath + "jquery.mobile-1.4.5.min.js");
loadJs("yxMobileSlider.js", jsBasePath + "yxMobileSlider.js");//旅游首页图片轮播js
loadJs("cordova.js",wwwBasePath+"cordova.js");loadJs("version.js",wwwBasePath+"plugins/version.js");
//loadJs("baofu_ios.js",wwwBasePath+"plugins/baofu_ios.js");
loadJs("tools.js", jsBasePath + "tools.js");
loadJs("dao.js", jsBasePath + "dao.js");
loadJs("base.js", jsBasePath + "base.js");
loadJs("fastclick.js", jsBasePath + "fastclick.js");
//loadJs("iscroll.js", jsBasePath + "iscroll.js");

var cssPlug = {
		"178package.css" : "178package.css",
		"lqpackage.css" : "lqpackage.css",
		"index.css" : "index.css",
		"login_reg.css" : "login_reg.css",
		"report.css" : "report.css",
		"takemoney.css" : "takemoney.css",
		"information.css" : "information.css",
		"ppbase.css" : "ppbase.css",
		"popup_div.css" : "popup_div.css",
		"edu.css" : "edu.css",
		"aboutUs.css" : "aboutUs.css",
		"my_center.css" : "my_center.css",
		"PropertyInsurance.css" : "PropertyInsurance.css",
		"big_history.css" : "big_history.css",
		"success_paper.css" : "success_paper.css",
		"travel.css" : "travel.css",
		"near.css" : "near.css",
		"choose_date.css":"choose_date.css",
		"myCustomService.css":"myCustomService.css",
		"shop.css":"shop.css",
		"shopIndex.css":"shopIndex.css",
		"reg-success.css":"reg-success.css"
	}
var jsPlug = {
    "Chart.js" : "Chart.js",
    "self-adaption.js" : "self-adaption.js",
    /*"createLazyPlan.js" : "lazy/createLazyPlan.js",*/
    "login.js" : "login.js",
    "reg.js" : "user/reg.js",
    "subscribedz.js" : "custom/subscribedz.js",
    "joindz.js" : "custom/joindz.js",
    "dzInfo.js" : "custom/dzInfo.js",
    "lazyPlanList.js" : "lazy/lazyPlanList.js",
    "subscribedzsy.js" : "custom/subscribedzsy.js",
    "news.js" : "guide/news.js",
    "notice.js" : "guide/notice.js",
    "noticeInfo.js" : "guide/noticeInfo.js",
    "joindzSuccess.js" : "custom/joindzSuccess.js",
    "customBiaoRecord.js" : "custom/customBiaoRecord.js",
    "lazyPlanIndex.js" : "lazy/lazyPlanIndex.js",
    "creatLazyPlanOk.js" : "lazy/creatLazyPlanOk.js",
    "hisOrHerOSEPacket.js" : "contacts/hisOrHerOSEPacket.js",
    "friendDetails.js" : "contacts/friendDetails.js",
    "contactsIndex.js" : "contacts/contactsIndex.js",
    "contactsNews.js" : "contacts/contactsNews.js",
    "insNewFriend.js" : "contacts/insNewFriend.js",
		"searchFriend.js" : "contacts/searchFriend.js",
		"contactsNewFriends.js" : "contacts/contactsNewFriends.js",
    "courseDetail.js" : "edu/courseDetail.js",
    "eduList.js" : "edu/eduList.js",
    "vocationalCertificationo.js" : "mine/vocationalCertificationo.js",
    "mineAuthenticationShow.js" : "mine/mineAuthenticationShow.js",
    "studentAuthentication.js" : "mine/studentAuthentication.js",
    "minePayOrderTracking.js" : "mine/minePayOrderTracking.js",
    "my_My178PackageTwo.js" : "mine/my_My178PackageTwo.js",
    "changeMyMobileNumo.js" : "mine/changeMyMobileNumo.js",
    "changeMyMobileNumt.js" : "mine/changeMyMobileNumt.js",
    "mineAuthentication.js" : "mine/mineAuthentication.js",
    "mineOperationInfo.js" : "mine/mineOperationInfo.js",
    "jobAuthentication.js" : "mine/jobAuthentication.js",
    "financialContract.js" : "mine/financialContract.js",
    "withDream_Custom.js" : "guide/withDream_Custom.js",
    "mineCustomPacket.js" : "mine/mineCustomPacket.js",
    "chooseRedPackage.js" : "mine/chooseRedPackage.js",
    "minePayEduDetail.js" : "mine/minePayEduDetail.js",
    "mineUpdLoginPwdo.js" : "mine/mineUpdLoginPwdo.js",
    "mineUpdLoginPwdt.js" : "mine/mineUpdLoginPwdt.js",
    "my_My178Package.js" : "mine/my_My178Package.js",
    "myAssignBalance.js" : "mine/myAssignBalance.js",
    "retrieveSecPwdt.js" : "mine/retrieveSecPwdt.js",
    "mineReceiveCash.js" : "mine/mineReceiveCash.js",
    "mineInstallPwd.js" : "mine/mineInstallPwd.js",
    "selectBankCard.js" : "mine/selectBankCard.js",
    "retrieveSecPwd.js" : "mine/retrieveSecPwd.js",
    "mineluckyMoney.js" : "mine/mineluckyMoney.js",
    "lockUpPeriodOk.js" : "mine/lockUpPeriodOk.js",
    "myManageMoney.js" : "mine/myManageMoney.js",
    "myZeroPackage.js" : "mine/myZeroPackage.js",
    "myInformation.js" : "mine/myInformation.js",
    "mineUpdSecPwd.js" : "mine/mineUpdSecPwd.js",
    "myAssignMent.js" : "mine/myAssignMent.js",
    "myAssignBank.js" : "mine/myAssignBank.js",
    "myTasteMoney.js" : "mine/myTasteMoney.js",
    "myBillDetail.js" : "mine/myBillDetail.js",
    "myAddCardTwo.js" : "mine/myAddCardTwo.js",
    "turnApplyOk.js" : "mine/turnApplyOk.js",
    "mine178Info.js" : "mine/mine178Info.js",
    "mineResPwd.js" : "mine/mineResPwd.js",
    "myWithDraw.js" : "mine/myWithDraw.js",
    "mineMyPaid.js" : "mine/mineMyPaid.js",
    "minePayEnd.js" : "mine/minePayEnd.js",
    "minePaying.js" : "mine/minePaying.js",
    "MyBankCard.js" : "mine/MyBankCard.js",
    "minedzInfo.js" : "mine/minedzInfo.js",
    "MyBankCard.js" : "mine/MyBankCard.js",
    "myContacts.js" : "contacts/myContacts.js",
    "setUpHead.js" : "mine/setUpHead.js",
    "mineIndex.js" : "mine/mineIndex.js",
    "msgDeatil.js" : "mine/msgDeatil.js",
    "myMessage.js" : "mine/myMessage.js",
    "myAddCard.js" : "mine/myAddCard.js",
    'recharge.js' : 'mine/recharge.js',
    "minePay.js" : "mine/minePay.js",
    'myMoney.js' : 'mine/myMoney.js',
    "myBill.js" : "mine/myBill.js",
    "shoppingListDetail.js" : "mine/shoppingListDetail.js",
    "ind.js" : "ind.js",
    "moreLink.js" : 'moreLink.js',
    "calc.js" : "calc/calc.js",
    "interestDetails.js" : "calc/interestDetails.js",
    "courseInfo.js" : "edu/courseInfo.js",
    "courseEnrol.js" : "edu/courseEnrol.js",
    "numSuccess.js" : "edu/numSuccess.js",
    "enrolSuccessLS.js" : "edu/enrolSuccessLS.js",
    "edu178.js" : "edu/edu178.js",
    "buyInsure.js" : "insure/buyInsure.js",
    "myInsure.js" : "insure/myInsure.js",
    "events.js" : "guide/events.js",
    "selectNum.js" : "edu/selectNum.js",
    "pack178BiaoList.js" : "package178/pack178BiaoList.js",
    "pack178BiaoInfo.js" : "package178/pack178BiaoInfo.js",
    "pack178BiaoRecord.js" : "package178/pack178BiaoRecord.js",
    "joinPack178.js" : "package178/joinPack178.js",
    "pack178index.js" : "package178/pack178index.js",
    "pay.js" : "user/pay.js",
    "sucSubscribedz.js" : "custom/sucSubscribedz.js",
    "sucJoindz.js" : "custom/sucJoindz.js",
    "enrolSuccessZX.js":"edu/enrolSuccessZX.js",
    "joinPack178Succ.js" : "package178/joinPack178Succ.js",
    "payBalanceSuccess.js" : "mine/payBalanceSuccess.js",
    "sweepResults.js":"sweep/sweepResults.js",
    "nearEdu.js" : "edu/nearEdu.js",
    "jquery.datePicker-min.js":"jquery.datePicker-min.js",
    "selectDate.js":"edu/selectDate.js",
    /*"baiduMap.js":"baiduMap.js",*/
    "eduCityList.js":"edu/eduCityList.js",
    "restLoginPwdt.js":"mine/restLoginPwdt.js",
    "traIndex.js":"tra/traIndex.js",
    "orderSuccess.js":"tra/orderSuccess.js",
    "traPay.js":"tra/traPay.js",
    "sucTraPay.js":"tra/sucTraPay.js",
    "searchDes.js":"tra/searchDes.js",
    "searchDep.js":"tra/searchDep.js",
    "bankTools.js":"bankTools.js",
    "jquery.qrcode.min.js":"ew/jquery.qrcode.min.js",
    "qrcode.js":"ew/qrcode.js",
    "otherAuthentication.js":"mine/otherAuthentication.js",
    "yui-min.js":"tra/date/yui-min.js",
    "authenticationSuccess.js":"mine/authenticationSuccess.js",
    "inviteFriends.js":"edu/inviteFriends.js",
    "withDream.js":"guide/withDream.js",
    "areaTools.js":"areaTools.js",
    "creatLazyPlanSucc.js" : "lazy/creatLazyPlanSucc.js",
    "picExample.js":"mine/picExample.js",
    "moreIncome.js" : "package178/moreIncome.js",
    "minePayTra.js":"mine/minePayTra.js",
    "minePayingTra.js":"mine/minePayingTra.js",
    "minePayEndTra.js":"mine/minePayEndTra.js",
    "minePayTraDetail.js":"mine/minePayTraDetail.js",
    "minePayOrderTrackingTra.js":"mine/minePayOrderTrackingTra.js",
    "mineSet.js":"mine/mineSet.js",
    "lazyToOrg.js":"lazy/lazyToOrg.js",
    "orgNewShop.js":"lazy/orgNewShop.js",
    "orgTravels.js":"lazy/orgTravels.js",
    "myInformation_Student":"mine/myInformation_Student.js",
    "myInformation_Job.js":"mine/myInformation_Job.js",
    "myInformation_Other.js":"mine/myInformation_Other.js",
    "178btbxyfb.js" : "xyht/178btbxyfb.js",
    "manageMoneyHT.js":"mine/manageMoneyHT.js",
    "updJobAuthentication.js":"mine/updJobAuthentication.js",
    "updStuAuthentication.js":"mine/updStuAuthentication.js",
    "updOtherAuthentication.js":"mine/updOtherAuthentication.js",
    "sgborrowORfinancial.js":"mine/sgborrowORfinancial.js",
    "damiContract.js":"mine/damiContract.js",
    "mineCustomerService.js":"mine/mineCustomerService.js",
    "zepto.min.js":"zepto.min.js",
    "scrollImg.js":"scrollImg.js",
    "costomTbxy.js" : "xyht/costomTbxy.js",
    "repayEduSucc.js" : "mine/repayEduSucc.js",
    "sel178Pnum.js" : "package178/sel178Pnum.js",
    "exchangeMoney.js":"mine/exchangeMoney.js",
    "selRebate.js":"mine/selRebate.js",
    "selLazyPlan.js" : "mine/selLazyPlan.js",
    "productfeatures.js" : "tra/productfeatures.js",
    "feenotice.js" : "tra/feenotice.js",
    "travelitinerary.js" : "tra/travelitinerary.js",
    "departurecity.js" : "tra/departurecity.js",
    "groupOrFreeDetailsInchina.js":"tra/groupOrFreeDetailsInchina.js",
    "chooseDateInChina.js":"tra/chooseDateInChina.js",
    "traOrderWriteInchina.js":"tra/traOrderWriteInchina.js",
    "maybeBiao.js":"lazy/maybeBiao.js",
    //"operationLazyDeal.js":"lazy/operationLazyDeal.js",
    "myAssignMentNew.js":"mine/myAssignMentNew.js",
    "myAssignBalance2.js":"mine/myAssignBalance2.js",
    "travelContract.js":"mine/travelContract.js",
    "appShoppingBargain.js":"mine/appShoppingBargain.js",
    "dingzhi_vip.js":"custom/dingzhi_vip.js",
    "myLazyRepayment.js":"lazy/myLazyRepayment.js",
    "myRepayment.js":"lazy/myRepayment.js",
    "myGrade.js":"mine/myGrade.js",
    "amountPayment.js":"shop/amountPayment.js",
    "shopWriteOrder.js":"shop/shopWriteOrder.js",
    "shopManageAddress.js":"shop/shopManageAddress.js",
    "shopUpdAddress.js":"shop/shopUpdAddress.js",
    "shopChoosePro.js":"shop/shopChoosePro.js",
    "shopChooseCity.js":"shop/shopChooseCity.js",
    "shopAddAddress.js":"shop/shopAddAddress.js",
     "shopPage.js":"shop/shopPage.js",
     "shopPays.js":"shop/shopPays.js",
     "allGoodsDetails.js":"shop/allGoodsDetails.js",
     "perGoodsDetails.js":"shop/perGoodsDetails.js",
    "mineAllOrderShop.js":"mine/mineAllOrderShop.js",
    "minePayingShop.js":"mine/minePayingShop.js",
    "minePayEndShop.js":"mine/minePayEndShop.js",
    "mineOrderDetailShop.js":"mine/mineOrderDetailShop.js",
    "resetLoginPassword.js":"mine/resetLoginPassword.js",
    "mineShopOderD.js":"mine/mineShopOderD.js",
     "paper1.js":"mine/paper1.js",
     "paper2.js":"mine/paper2.js",
     "paper3.js":"mine/paper3.js",
	 "shopDHMoney.js" : "mine/shopDHMoney.js",
    "myLottery.js":"mine/myLottery.js",
    "useLottery.js":"shop/useLottery.js",
    "paymentHistory.js" : "mine/paymentHistory.js",
    "handRepayMent.js" : "mine/handRepayMent.js",
    "transferOperation.js" : "lazy/transferOperation.js",
    "shoppingZQB.js" : "package178/shoppingZQB.js",
    "luck.js" : "lazy/luck.js",
    "choosePurchase.js" : "shop/choosePurchase.js",
    "contactsIndex2.js" : "contacts/contactsIndex2.js",
    "contactsIndexDefault.js" : "contacts/contactsIndexDefault.js",
    "shopFavorite.js" : "shop/shopFavorite.js",
    "kaoLaGoodsDetails.js" : "shop/kaoLaGoodsDetails.js",
    "shopIndex.js":"shop/shopIndex.js",
    "goodsFinds.js":"shop/goodsFinds.js",
    "goodsFindBanner.js":"shop/goodsFindBanner.js",
    "setUpPassword.js":"user/setUpPassword.js",
    "activationLimit.js":"shop/activationLimit.js",
    "wuxiFenqiEduAgreement.js":"edu/wuxiFenqiEduAgreement.js"
}

for( var k in cssPlug){
	loadCSS(k, cssBasePath + cssPlug[k]);
}
for( var k in jsPlug){
	var diff = jsPlug[k].length-jsPlug[k].replace(/\//g,"").length;
	if(diff!=1 || isLocalTest()){
		loadJs(k, jsBasePath + jsPlug[k]);
	}
}

//节日样式
function holidayInd(){
	var d0 = new Date();
	var d1 = new Date('2017/01/25');
	var d2 = new Date('2017/02/02');
	if(d1.getTime()<d0.getTime() && d0.getTime()<d2.getTime()){
		loadCSS("newyear2017.css", cssBasePath + "newyear2017.css");
	}
}
//holidayInd();

if(!isLocalTest()){
	loadJs('all_union_js_lazyAll.js', jsBasePath + 'all_union_js/lazyAll.js');
	loadJs('all_union_js_customAll.js', jsBasePath + 'all_union_js/customAll.js');
	loadJs('all_union_js_eduAll.js', jsBasePath + 'all_union_js/eduAll.js');
	loadJs('all_union_js_userAll.js', jsBasePath + 'all_union_js/userAll.js');
	loadJs('all_union_js_guideAll.js', jsBasePath + 'all_union_js/guideAll.js');
	loadJs('all_union_js_mineAll.js', jsBasePath + 'all_union_js/mineAll.js');
	loadJs('all_union_js_package178All.js', jsBasePath + 'all_union_js/package178All.js');
	loadJs('all_union_js_calcAll.js', jsBasePath + 'all_union_js/calcAll.js');
	loadJs('all_union_js_insureAll.js', jsBasePath + 'all_union_js/insureAll.js');
	loadJs('all_union_js_sweepAll.js', jsBasePath + 'all_union_js/sweepAll.js');
	loadJs('all_union_js_traAll.js', jsBasePath + 'all_union_js/traAll.js');
	loadJs('all_union_js_contactsAll.js', jsBasePath + 'all_union_js/contactsAll.js');
	loadJs('all_union_js_xyhtAll.js', jsBasePath + 'all_union_js/xyhtAll.js');
	loadJs('all_union_js_shopAll.js', jsBasePath + 'all_union_js/shopAll.js');
	
	loadJs('jquery.qrcode.min.js', jsBasePath + 'ew/jquery.qrcode.min.js');
	loadJs('qrcode.js', jsBasePath + 'ew/qrcode.js');
}
$.mobile.page.prototype.options.domCache = "true";
// $.mobile.defaultTransition="slide";
$.mobile.defaultPageTransition = "slide";
// document.addEventListener("backbutton", onBackKeyDown, false);
// document.addEventListener("resume", onResume, false);
document.addEventListener("deviceready", onDeviceReady, false);
$(document).on('pageshow', function(){
	hideMaskDiv();
}).on('pageloadfailed',function(e,d){
	//$.alert('您访问的页面不存在：'+e);
}).on('pagebeforeload',function(e,d){
	showMashDiv();
})/*
	 * .on('pagebeforehide pagebeforeshow pageinit',function(){ showMashDiv(); });
	 */
function isRenew(burl,furl){ //检查更新
	var mapObj = {};//存储本地文件
	loadTxt(burl, function(v){
		var str = v;   
		var strArray = str.split(/\r|\n/img);
		for(var i = 2; i < strArray.length - 1; i++){//最后一行有换行  从2开始是因为不计算前两行
			var kv = strArray[i].split("=");
			mapObj[kv[0]]=kv[1];
		}
		//console.log(mapObj['contacts/hisOrHerOSEPacket.html']);
	});
	loadTxt(furl, function(v){
		var keys = new Array();//服务器键的集和
		var values = new Array();//服务器value的集和
		var str = v;   
		var strArray = str.split(/\r|\n/img);
		console.log(strArray)
		for(var i = 2; i < strArray.length - 1; i++){
			var kv = strArray[i].split("=");
			keys[i] = kv[0];
			values[i] = kv[1];
			if(typeof(mapObj[keys[i]])=='undefined'){
				console.log(i)
				console.log('本地没有');
			}else{
					if(values[i] != mapObj[keys[i]]){
						console.log(keys[i] + "更新");
					}
			}
		}
	});
}

//封装所有获取到的推送
var __pushObj = [];
//进栈 - 数组尾部添加 : 描述 页面 参数 推送时app状态0关闭 1后台 2前台运行
function __addPushObj(info,page,param,point){
	navigator.splashscreen.hide();
	__pushObj.push({'info':info,'page':page,'param':param,'point':point});
}
//出栈 - 数组尾部移除
function __getPushObj(){
	return __pushObj.pop();
}
//收到推送后，执行相关代码
function __runPushAlert(){
	if(!isIndReady){
		setTimeout(__runPushAlert, 500);
		return;
	}
	if(app_version<=268){
		return ;
	}
	var mes = __getPushObj();
	if(mes){
		if(mes.point=='2'){
			/*showYesNoTip(mes.info,function(){
				setTimeout(__runPushAlert, 500);
			}, function(){
				changePage(wwwBasePath+mes.page+"?"+mes.param);
				setTimeout(__runPushAlert, 500);
			}, "取消", "查看");*/
			//只有 android 系统，app 处于活动状态时，是可以根据推送跳转的，IOS系统不处理这个推送
			//因为android系统，在app处于活动状态时，推送一样在通知栏有显示，可以在通知栏点击触发。
			//而IOS系统，在app处于活动状态时，推送是不会到通知栏的，直接由app处理了，所以为了防止用户界面在本人不知道的情况下乱跳，那么IOS 的app处于活动时，获取的推送都不予处理
			if(system=='android'){
				changePage(wwwBasePath+mes.page+"?"+mes.param);
				setTimeout(__runPushAlert, 500);
			}
		}else{
			changePage(wwwBasePath+mes.page+"?"+mes.param);
			setTimeout(__runPushAlert, 500);
		}
	}else{
		setTimeout(__runPushAlert, 500);
	}
}
