Date.prototype.format=function(format){
	var o = {
		"M+" : this.getMonth()+1, //month
		"d+" : this.getDate(), //day
		"h+" : this.getHours(), //hour
		"m+" : this.getMinutes(), //minute
		"s+" : this.getSeconds(), //second
		"q+" : Math.floor((this.getMonth()+3)/3), //quarter
		"S" : this.getMilliseconds() //millisecond
	}
	if(/(y+)/.test(format)) format=format.replace(RegExp.$1,(this.getFullYear()+"").substr(4- RegExp.$1.length));
	for(var k in o)
		if(new RegExp("("+ k +")").test(format))
			format = format.replace(RegExp.$1,RegExp.$1.length==1? o[k] :("00"+ o[k]).substr((""+ o[k]).length));
	return format;
}
String.prototype.trim=function(){
	return this.replace(/(^\s*)|(\s*$)/g,""); 
}

var tools = {
	formatDate:function(d){
		return d.format("yyyy-MM-dd");
	},
	formatDateFull:function(d){
		return d.format("yyyy-MM-dd hh:mm:ss");
	},
	getYuan:function(d){
		return d/100;
	},
    wanTobai:function(d){//显示用
        return d/100;
    },
   qianTobai:function(d){//显示用
        return d/10;
    },
	/**
	 * 千位分割符
	 * @param num
	 */
	formatNumber:function(num){
		if(!/^(\+|-)?(\d+)(\.\d+)?$/.test(num)){  
			return num;
		}
		return (num+"").replace(/(?!^)(?=(?:\d{3})+(\.|$))/g,',');
	},
    javaDateToJsDate:function(d){
        var date=new Date(d.time);
        return date;
    },
   isNull:function(v){// 判断为空：当前是去除所有空格
		if(!v)return true;
		v = v.replace(/\s+/g, "");
		if (v == "") {
			return true;
		} else {
			return false;
		}
	},
	isRealNull:function(v){//真的空 - null字符串 或者 null 包含在 某2个字符之间 都算空
		return tools.isNull(v) || /^.?null.?$/ig.test(v);
	},
	getCNLength:function(v){//获取字符串长度-中文算2字节
		return v.replace(/[\u4e00-\u9fa5]/img,"**").length;
	},
	openBrowser:function(obj,url){//用浏览器打开网址
		if(system=='ios'){
			obj.href=url;
		}else{
			obj.href="javascript:navigator.app.loadUrl('"+url+"',{ openExternal:true });";
		}
	},
	//除法
	accDiv:function(arg1, arg2){
		var t1 = 0,t2 = 0,r1,r2;
		try {
			t1 = arg1.toString().split('.') [1].length;
		} catch (e) {
		}
		try {
			t2 = arg2.toString().split('.') [1].length;
		} catch (e) {
		}
		with (Math) {
			r1 = Number(arg1.toString().replace('.', ''));
			r2 = Number(arg2.toString().replace('.', ''));
			return this.accMul((r1 / r2), pow(10, t2 - t1));
		}
	},
	//乘法 
	accMul:function(arg1, arg2){
		var m = 0,s1 = arg1.toString(),s2 = arg2.toString();
		try {
			m += s1.split('.') [1].length;
		} catch (e) {
		}
		try {
			m += s2.split('.') [1].length;
		} catch (e) {
		}
		return Number(s1.replace('.', '')) * Number(s2.replace('.', '')) / Math.pow(10, m);
	},
	//加法 
	accAdd:function(arg1, arg2) {
		var r1,r2,m;
		try {
			r1 = arg1.toString().split('.') [1].length;
		} catch (e) {
			r1 = 0;
		}
		try {
			r2 = arg2.toString().split('.') [1].length;
		} catch (e) {
			r2 = 0;
		}
		m = Math.pow(10, Math.max(r1, r2));
		return (this.accMul(arg1,m) + this.accMul(arg2,m)) / m;
	},
	//减法 
	Subtr:function(arg1, arg2) {
		var r1,r2,m,n;
		try {
			r1 = arg1.toString().split('.') [1].length;
		} catch (e) {
			r1 = 0
		}
		try {
			r2 = arg2.toString().split('.') [1].length;
		} catch (e) {
			r2 = 0
		}
		m = Math.pow(10, Math.max(r1, r2));
		n = (r1 >= r2) ? r1 : r2;
		return ((this.accMul(arg1 , m) - this.accMul(arg2 , m)) / m).toFixed(n);
	},
	/**
	 * 截取n位字符
	 * @param str
	 * @param num
	 * @returns
	 */
	formateString:function(str,num){
		return str.length>8 ? str.substring(0,num)+'•••':str; 
	}
}
//检测的工具类
var valid = {
	isInteger:function(d){//是否是整形
		return /^[1-9]\d*$/g.test(d);
	},
	isNumberPointTwo:function(d){//小数点后两位
		return /^[1-9]\d*(\.\d{0,2})?$/g.test(d);
	},
	isPhone:function(num){//是否是手机号
		return /^(\+\d{2})?(-)*(1[\d]{10})$/i.test(num);
	},
	isMoney:function(v){//是否是金額格式
		return /^(?:0|[1-9]\d+)(?:\.\d\d?)?$/g.test(v);
	},
	isUserName:function(username){//是否是用户名
		return /(^[a-zA-Z0-9_\u4e00-\u9fa5]*$)/.test(username);
	},
	isCheckPic:function changePic(target,value){// 照片格式和大小的验证，显示选择后的图片
		document.getElementById('head').innerHTML = target.value;
		var val = $(target).val();
		if(!/^.+\.(jpg|gif|bmp|png|jpeg|pjpeg|x-png){1,1}$/ig.test(val)){
			$.alert('格式不正确');
			$("#head").val('');
		   return false;
	    }
		if(window.navigator.userAgent.toLocaleLowerCase().indexOf("msie") > -1){
			return;
		}
		var fileSize = 0; 
		try{
			fileSize = target.files[0].size;      
			var size = fileSize / 1024; 
			if(size > value){
				if(size >= 1000){
					$("#div_" + div).show();// 显示提示信息
					return false;
				}else{
					$("#div_" + div).show();// 显示提示信息
					return false;
				}
			}
		}catch(e){}
	}
}
//计算预计收益的
var calc = {
		getequles178:function(finMoney, finDate, rate){ //获取赚乾包 等额本息计算结果(原自选包 等额本息计算公式)
			// 总收益计算公式: [ {投资总金额*月利率*[(1+月利率)^期数]}/[(1+月利率)^期数－1] ] *  期数 
			finDate = finDate || 0; // -fen
			finMoney = finMoney || 0;
			var finRateMonth = rate/12;  //月利率
			var account = finMoney * finRateMonth * ((Math.pow((finRateMonth + 1) , finDate))/(Math.pow((finRateMonth + 1) , (finDate)) -1 )) * finDate;
			var interest = account - finMoney;
			return parseInt(interest);
		}
}
var fileUpParam={};
function initFileUpParam(){
	fileUpParam={
		flag:0,//图片选择类型 0照相 1相册
		//cameraError:onCameraError,//相机准备错误方法
		//cameraSuccess:onCameraSuccess,//相机成功的方法
		//uploadError:onFileUploadFail,//上传出错
		uploadSuccess:onFileUploadSuccess,//上传执行成功
		//action:'http://' + getBasePath() + 'UpdateLoadHead.action?fileType=customer',//上传的action
		fileKey:'head',//上传文件的 name 名称
		beforUpload:null,//上传之前
		afterUpload:null,//上传之后
		//fileType:"customer",//可以不加，参数可以用 get 方式传值
		viewImg:null//选择图片后显示的位置-就是预览的img的id 或者 一个回调方法
	};
}
function filePlug(obj){
	initFileUpParam();
	if(typeof(obj)!='object'){
		$.alert("文件上传，参数不正确");
		return;
	}
	if(!obj.action){
		$.alert("文件上传，action参数不正确");
		return;
	}
	fileUpParam.flag=obj.flag===0?0:(obj.flag||fileUpParam.flag);
	fileUpParam.uploadSuccess=obj.uploadSuccess||fileUpParam.uploadSuccess;
	fileUpParam.action=obj.action||fileUpParam.action;
	if(!tools.isRealNull(storageUtil.getSessionId()) && fileUpParam.action.indexOf(";jsessionid=")<0){
		var url=fileUpParam.action;
		var urlIdx = url.indexOf("?");
		fileUpParam.action = url.substring(0,urlIdx)+";jsessionid="+storageUtil.getSessionId()+url.substring(urlIdx);
	}
	fileUpParam.fileKey=obj.fileKey||fileUpParam.fileKey;
	fileUpParam.viewImg=obj.viewImg||fileUpParam.viewImg;
	fileUpParam.beforUpload=obj.beforUpload||fileUpParam.beforUpload;
	fileUpParam.afterUpload=obj.afterUpload||fileUpParam.afterUpload;
//	fileUpParam.fileType=obj.fileType||fileUpParam.fileType;
	if(fileUpParam.beforUpload){
		fileUpParam.beforUpload();
	}
	showMashDiv();
	onFaceImgClick(fileUpParam.flag);
}

function onFaceImgClick(flag) {
	var w = 300;
	var h = 300;
	var quality = device.platform == "Android" ? 65 : 50;
	//  log("device.platform="+device.platform+";quality====="+quality);  
	var cameraOptions;
	if (flag == 0) {
		cameraOptions = {
			quality : quality,//ios为了避免部分设备上出现内存错误，quality的设定值要低于50。  
			destinationType : Camera.DestinationType.FILE_URI,//FILE_URI,DATA_URL  
			sourceType : Camera.PictureSourceType.CAMERA,//CAMERA,SAVEDPHOTOALBUM  
			allowEdit : true,
			encodingType : Camera.EncodingType.JPEG,//JPEG,PNG  
			targetWidth : w,
			targetHeight : h
		};
	} else {
		cameraOptions = {
			quality : quality,//ios为了避免部分设备上出现内存错误，quality的设定值要低于50。  
			destinationType : Camera.DestinationType.FILE_URI,//FILE_URI,DATA_URL  
			sourceType : Camera.PictureSourceType.PHOTOLIBRARY,//CAMERA,SAVEDPHOTOALBUM  
			allowEdit : true,
			encodingType : Camera.EncodingType.JPEG,//JPEG,PNG  
			targetWidth : w,
			targetHeight : h
		};
	}
	navigator.camera.getPicture(onCameraSuccess, onCameraError,
			cameraOptions);
}
function onCameraSuccess(imageURI) {//imageData  
	//  log("data==="+imageURI);  
	//  $("#my_profile_page #face").attr("src","data:image/jpeg;base64," + imageData);  
	fileUpParam.overImageURI = imageURI;//上传完的图片路径
	//拍照成功后，需要上传文件  
	var fileName = imageURI
			.substr(imageURI.lastIndexOf('/') + 1);
	var options = new FileUploadOptions();
	options.fileKey = fileUpParam.fileKey;//图片域名！！！  
	if (fileName.indexOf('?') == -1) {
		options.fileName = fileName;
	} else {
		options.fileName = fileName.substr(0, fileName
				.indexOf('?'));
	}
	options.mimeType = "image/jpeg";
	//options.mimeType = "multipart/form-data";  
	options.chunkedMode = false;

	var params = {};
//	params.fileType = fileUpParam.fileType;//不重新定义 filetype属性，用get里的值
	options.params = params;
	var uri = encodeURI(fileUpParam.action);

	var ft = new FileTransfer();
	ft.upload(imageURI, uri, fileUpParam.uploadSuccess,
			onFileUploadFail, options);
}

function onCameraError(message) {
	//$.alert("无法打开相机");
	//log('Failed because: ' + message);
	hideMaskDiv();
}

function onFileUploadSuccess(result) {
	if(fileUpParam.viewImg){
		if(typeof(fileUpParam.viewImg)=='string'){
			if(fileUpParam.viewImg.indexOf('#')==0){
				$(fileUpParam.viewImg).attr("src", fileUpParam.overImageURI);
			}else{
				$("#"+fileUpParam.viewImg).attr("src", fileUpParam.overImageURI);
			}
		}else if(typeof(fileUpParam.viewImg)=='function'){
			fileUpParam.viewImg();
		}
	}
	hideMaskDiv();
	if(fileUpParam.afterUpload){
		fileUpParam.afterUpload();
	}
	//log("========onFileUploadSuccess===========");
	//console.log("Code = " + result.responseCode+";Response = " + result.response+";Sent = " + result.bytesSent);  
}
function onFileUploadFail(error) {
	hideMaskDiv();
	if(fileUpParam.afterUpload){
		fileUpParam.afterUpload();
	}
	showErrorTip("亲，上传出错啦～检查一下网络，重试一次呗！");
	//log("code = " + error.code + ";upload error source = "	+ error.source + ";upload error target = "+ error.target);
	
}

//获取 手机相册中的 照片  
function _getMobilePhoto(source){
    navigator.camera.getPicture(function(imageURI){
    	//获取成功
    	if(system=='android'){
    		MyIOSPlugin.scanImg(imageURI);
    	}else if(system=='ios'){
    		
    	}
    },function(errorMessage){
    	//获取失败
    	//$.alert(errorMessage)
    },{quality:1,sourceType:source});
}
